import 'package:flutter/material.dart';

class AutoScaleText extends StatelessWidget {
  final String text;
  final TextStyle? style;
  final TextAlign? textAlign;
  final int? maxLines;

  AutoScaleText(this.text,{this.style,this.textAlign,this.maxLines});


  @override
  Widget build(BuildContext context) {
    return FittedBox(
      fit: BoxFit.scaleDown,
      child:Text(text, style: style, textAlign: textAlign, maxLines: maxLines),      
    );
  }
}